Bug 1126323 - Fail to git push for the second time when I specify an older version of dependency
Summary: Fail to git push for the second time when I specify an older version of depen...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Balazs Varga
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1047469
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 07:58 UTC by Balazs Varga
Modified: 2015-05-15 00:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1047469
Environment:
Last Closed: 2014-08-18 13:33:23 UTC


Attachments (Terms of Use)

Comment 1 Balazs Varga 2014-08-04 07:59:43 UTC
a note for the test cases: after 1.), the package is already installed (with the version provided in the test case)

Comment 2 Meng Bo 2014-08-05 06:35:50 UTC
remote: Stopping PHP 5.4 cartridge (Apache+mod_php)
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Building git ref 'master', commit bdd867f
remote: Checking .openshift/pear.txt for PEAR dependency...
remote: Checking PEAR: Validate-0.8.5
remote: 
remote: 
remote: Preparing build for deployment
remote: Deployment id is 1f3fb6cb
remote: Activating deployment
remote: Starting PHP 5.4 cartridge (Apache+mod_php)
remote: Application directory "/" selected as DocumentRoot
remote: -------------------------
remote: Git Post-Receive Result: success
remote: Activation status: success
remote: Deployment completed with status: success


Checked on devenv_5041, issue has been fixed.

It will check the existing dep version on the deploy, and skip the install/upgrade if the version is latest.

Comment 3 Meng Bo 2014-08-05 06:39:41 UTC
remote: Stopping PHP 5.4 cartridge (Apache+mod_php)
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Building git ref 'master', commit 3901602
remote: Checking .openshift/pear.txt for PEAR dependency...
remote: Checking PEAR: Validate-0.8.4
remote:
remote: Nothing to upgrade
remote:
remote: Preparing build for deployment
remote: Deployment id is 7b5f76f0
remote: Activating deployment
remote: Starting PHP 5.4 cartridge (Apache+mod_php)
remote: Application directory "/" selected as DocumentRoot
remote: -------------------------
remote: Git Post-Receive Result: success
remote: Activation status: success
remote: Deployment completed with status: success
To ssh://53e0b0bed50415169f000009@php54-bmengdev.dev.rhcloud.com/~/git/php54.git/
   d0ebb4a..3901602  master -> master

When using lower version than the installed one, it will show as above.

Comment 4 Balazs Varga 2014-08-05 13:37:05 UTC
@Meng: Thanks for noticing this! Apparently pear behaves differently if you have the latest version of a package... I have to look into this again.

Comment 5 Balazs Varga 2014-08-18 09:54:34 UTC
I reported this as a bug: https://pear.php.net/bugs/bug.php?id=20371

Comment 6 Balazs Varga 2014-08-18 13:33:23 UTC
https://trello.com/c/Gq4HzmjZ


Note You need to log in before you can comment on or make changes to this bug.